Last Comment Bug 654953 - Remove !tsk.tr rule from PSL (reverse bug 606922)
: Remove !tsk.tr rule from PSL (reverse bug 606922)
Status: RESOLVED FIXED
[qa-examined-192]
:
Product: Core
Classification: Components
Component: Networking: Domain Lists (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Gervase Markham [:gerv]
:
: Patrick McManus [:mcmanus]
Mentors:
http://www.hvkk.tsk.tr/
Depends on:
Blocks: 606922
  Show dependency treegraph
 
Reported: 2011-05-05 02:37 PDT by Ilhan Y.
Modified: 2011-06-17 13:42 PDT (History)
9 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
.x-fixed
.18-fixed
.20-fixed


Attachments
pulls entry for !tsk.tr (478 bytes, patch)
2011-05-23 13:00 PDT, Jothan Frakes
dveditz: approval2.0+
dveditz: approval1.9.2.18+
dveditz: approval1.9.1.20+
Details | Diff | Splinter Review

Description Ilhan Y. 2011-05-05 02:37:50 PDT
User-Agent:       Mozilla/5.0 (Windows NT 6.1; rv:2.0.1) Gecko/20100101 Firefox/4.0.1
Build Identifier: 

Firefox 6 highlights tsk.tr It should be hvkk.tsk.tr
There are 35 domainnames according to https://www.nic.tr/index.php?USRACTN=YEARSTAT#tsk.tr That means that hvkk is not a subdomain of the web site tsk.tr but it is another domainname registered at nic.tr

Thus, basicaly tsk.tr and hvkk.tsk.tr are seperate domainnames.

Reproducible: Always

Steps to Reproduce:
1. Install latest nightly http://nightly.mozilla.org/
2. See here that there are 35 domainnames with tsk.tr https://www.nic.tr/index.php?USRACTN=YEARSTAT#tsk.tr Like co.uk
3. Visit the http://www.hvkk.tsk.tr/EN/Index.aspx

Actual Results:  
Firefox shows that the domain name is tsk.tr, but it is false, it same as saying that co.uk is domainname.

Expected Results:  
Firefox should show that the domain name is hvkk.tsk.tr

Basicaly, hvkk.tsk.tr and sgk.tsk.tr are seperate domainnames.
Comment 1 Ilhan Y. 2011-05-05 02:44:54 PDT
Note: you need to visit with www (http://www.sgk.tsk.tr/ )
Comment 2 Jo Hermans 2011-05-05 03:08:26 PDT
(In reply to comment #0)
> There are 35 domainnames according to
> https://www.nic.tr/index.php?USRACTN=YEARSTAT#tsk.tr That means that hvkk is
> not a subdomain of the web site tsk.tr but it is another domainname registered
> at nic.tr

The problem is that www.tsk.tr is both a real website, and a TLD.
Comment 3 Jo Hermans 2011-05-05 03:47:44 PDT
I mean tsk.tr ofcourse.
Comment 4 Ilhan Y. 2011-05-05 08:09:46 PDT
It seems that tsk.tr is not a domain. It seems that the domain is www.tsk.tr (with www part) Like www.co.uk where www is the registered one.

http://www.whois.com.tr/?q=www.tsk.tr
Also http://web-sniffer.net/ did not returned any information for tsk.tr (I mean no redirection)

Can someone recheck the whois of tsk.tr and then www.tsk.tr ?

Shortly, it seems that www is not a subdomain.
Comment 5 Volkan 2011-05-06 04:54:00 PDT
Hi again,

I think the erroneous behavior was on my side. I filed the previous request 606922 thinking that tsk.tr is a domain name. I actually confirmed this also by contacting Nic.tr. However, now it seems that, tsk.tr is only a TLD and WWW.tsk.tr is actually a domain name (OMG!!)

It can be checked at this address: 

I will also update the related wikipedia entry (if not already done).

Best,
Volkan
Comment 6 Volkan 2011-05-06 04:54:15 PDT
Sorry the address to check is: https://www.nic.tr/index.php?lang=TR_LANG
Comment 7 Gervase Markham [:gerv] 2011-05-20 06:05:10 PDT
OK, so we need to back that !tsk.tr rule out.
Gerv
Comment 8 Gervase Markham [:gerv] 2011-05-20 06:17:55 PDT
Jothan: a great opportunity to hone your patch-making skills ;-)

Gerv
Comment 9 Jothan Frakes 2011-05-23 13:00:51 PDT
Created attachment 534527 [details] [diff] [review]
pulls entry for !tsk.tr

This is the patch to remove !tsk.tr
Comment 10 Jothan Frakes 2011-05-23 13:02:00 PDT
OK, Patch attached, now assigning back to GM
Comment 11 Gervase Markham [:gerv] 2011-05-23 13:27:46 PDT
http://hg.mozilla.org/mozilla-central/rev/863a55927694

Gerv
Comment 12 Daniel Veditz [:dveditz] 2011-06-01 10:26:18 PDT
Comment on attachment 534527 [details] [diff] [review]
pulls entry for !tsk.tr

Approved for 1.9.2.18 and 1.9.1.20, a=dveditz for release-drivers
Approved for the mozilla2.0 repository, a=dveditz for release-drivers
Comment 14 Al Billings [:abillings] 2011-06-16 15:27:54 PDT
What difference in behavior am I supposed to see here, post-checkin?
Comment 15 Gervase Markham [:gerv] 2011-06-17 02:26:36 PDT
Al: visit http://www.hvkk.tsk.tr/TR/Index.aspx in Firefox 6. Before change, "tsk.tr" should be highlighted in the URL bar. After change, "hvkk.tsk.tr" should be highlighted.

Gerv
Comment 16 Al Billings [:abillings] 2011-06-17 10:14:48 PDT
I'm looking at this in 3.6.18. :-) I'm doing branch verifications.
Comment 17 :Gavin Sharp [email: gavin@gavinsharp.com] 2011-06-17 13:42:31 PDT
Al: for 3.6, you could compare the output of running:

Components.classes["@mozilla.org/network/effective-tld-service;1"].getService(Components.interfaces.nsIEffectiveTLDService).getBaseDomainFromHost("www.hvkk.tsk.tr")

in the error console (shows up under "Messages").

Note You need to log in before you can comment on or make changes to this bug.